Bug 859889 - AttributeError: 'NoneType' object has no attribute 'path'
AttributeError: 'NoneType' object has no attribute 'path'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:6ffe728b0018a2f93fb2c133c3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 06:10 EDT by Micke
Modified: 2013-05-30 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: If root filesystem (/) is non present in fstab the system will boot normally but the update will fail. Consequence: System will halt slightly after the network has been initilized. Fix: Make root filesystem (/) present in fstab! Result: Comment: The system should warn during preupgrade that something is wierd in fstab
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-dcx4me (421.37 KB, text/plain)
2012-09-24 06:10 EDT, Micke
no flags Details

  None (edit)
Description Micke 2012-09-24 06:10:20 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-dcx4me
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.x86_64
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Mon 24 Sep 2012 10:09:06 AM UTC
version:        17

anaconda-tb-dcx4me: Text file, 431482 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 2396, in mkDevRoot
:    dev = "%s/%s" % (ROOT_PATH, root.path)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1432, in mkDevRoot
:    self.fsset.mkDevRoot()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/upgrade.py", line 248, in upgradeMountFilesystems
:    anaconda.storage.mkDevRoot()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'path'

environ:
:LANG=en_US.UTF-8
:repo=hd::/var/cache/yum/preupgrade
:TERM=linux
:BOOT_IMAGE=/upgrade/vmlinuz
:XAUTHORITY=/root/.Xauthority
:LC_NUMERIC=C
:SHLVL=0
:PYTHONPATH=/tmp/updates
:LVM_SUPPRESS_FD_WARNINGS=1
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:GNOME_DISABLE_CRASH_DIALOG=1
:ks=hd:UUID=8f67ce1e-7eb1-4e81-bffa-bca87fcb1210:/upgrade/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:GCONF_GLOBAL_LOCKS=1
:HOME=/tmp
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:stage2=hd:UUID=8f67ce1e-7eb1-4e81-bffa-bca87fcb1210:/upgrade/squashfs.img
:MALLOC_CHECK_=2
:DISPLAY=:1
Comment 1 Micke 2012-09-24 06:10:24 EDT
Created attachment 616456 [details]
File: anaconda-tb-dcx4me
Comment 2 Chris Lumens 2012-10-01 10:19:39 EDT
Please test with F18 Beta (when it is released) and let us know if this is still a problem.  Thanks.
Comment 3 Micke 2012-10-02 09:36:12 EDT
Problem fixed by adding / in fstab which was not there for some mysterious reason!
Comment 4 David Lehman 2013-05-30 12:47:44 EDT
Anaconda no longer does upgrades. The new tool for that is called fedup.

Note You need to log in before you can comment on or make changes to this bug.